commit:     4c9351cc91c1499be9efedd28f60c23410b730d3
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Tue Jul  8 03:26:43 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul  8 06:03:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c9351cc

dev-python/mapbox-vector-tile: add 2.2.0

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42927
Closes: https://github.com/gentoo/gentoo/pull/42927
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/mapbox-vector-tile/Manifest             |  1 +
 .../mapbox-vector-tile-2.2.0.ebuild                | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/mapbox-vector-tile/Manifest 
b/dev-python/mapbox-vector-tile/Manifest
index c73b228afbb9..97e4db0c85ac 100644
--- a/dev-python/mapbox-vector-tile/Manifest
+++ b/dev-python/mapbox-vector-tile/Manifest
@@ -1 +1,2 @@
 DIST mapbox-vector-tile-2.1.0.gh.tar.gz 229585 BLAKE2B 
d4ed6034b8cea35b3bfe0db8ed3f9f094021654045dce560e36d9d21398c8cd41975848dd44de13c1e9f0a4c37d94835e349c9df7283b994fde60ff66eceda9d
 SHA512 
d2ab9f0aba5150a4e9e0e7c9b29a3754f25ac9a1368e5c2909d773e1dc2197dcab59c047f68cdcf217727e0422bd8670ade797db74b26b95ce04f24564938c1d
+DIST mapbox-vector-tile-2.2.0.gh.tar.gz 232332 BLAKE2B 
1a9279405fc058608145143ae6c03ebe79ec99555f263ccd3809f276e12d65c6ecaae18c2d7d013ec69b0dab9b00904634ad792c0f3d11035a4454b9b39172dc
 SHA512 
8a85ee583720667d3955969707188e2a99ec63d4592ae6a7c7d93b6eafc0e88b18dbd21a13374be364b5afa8cbb82c019d2f3179c7c1ff5fa9d479816fc16931

diff --git a/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.2.0.ebuild 
b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.2.0.ebuild
new file mode 100644
index 000000000000..5f8d2da36799
--- /dev/null
+++ b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mapbox Vector Tile encoding and decoding."
+HOMEPAGE="
+       https://github.com/tilezen/mapbox-vector-tile/
+       https://pypi.org/project/mapbox-vector-tile/
+"
+# sdist misses test files
+SRC_URI="
+       
https://github.com/tilezen/mapbox-vector-tile/archive/refs/tags/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/protobuf-6.31.1[${PYTHON_USEDEP}]
+       >=dev-python/pyclipper-1.3.0[${PYTHON_USEDEP}]
+       >=dev-python/pyproj-3.4.1[${PYTHON_USEDEP}]
+       >=dev-python/shapely-2.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # relax the dep
+       sed -i -e '/protobuf/s:\^[0-9.]*:*:' pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to